Bug 1007364 - Invalid parsing pam_pwquality module parameters
Invalid parsing pam_pwquality module parameters
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpwquality (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 06:43 EDT by Vladimir
Modified: 2013-09-29 20:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: libpwquality-1.2.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1015613 (view as bug list)
Environment:
Last Closed: 2013-09-29 20:44:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (432 bytes, patch)
2013-09-12 06:43 EDT, Vladimir
no flags Details | Diff

  None (edit)
Description Vladimir 2013-09-12 06:43:08 EDT
Created attachment 796765 [details]
Patch

Description of problem:
Invalid parsing pam_pwquality parameters, that cause ignoring password restrictions



How reproducible:
pam config:
...
password    required     pam_pwquality.so try_first_pass retry=3 minclass=4 enforce_for_root authtok_type= retry=1
...

Steps to Reproduce:
1. configure pam with pam_pwquality module with a lot of parameters
2. try to change password

Actual results:
in system log:
сен 12 12:41:06 localhost.confi.ru python[5616]: pam_pwquality(tlogin:chauthtok): pam_parse: unknown or broken option; minclass=4
сен 12 12:41:06 localhost.confi.ru python[5616]: pam_pwhistory(tlogin:chauthtok): pam_sm_chauthtok entered
сен 12 12:41:06 localhost.confi.ru python[5616]: pam_pwhistory(tlogin:chauthtok): pam_sm_chauthtok(PAM_PRELIM_CHECK)
сен 12 12:41:06 localhost.confi.ru python[5616]: pam_pwquality(tlogin:chauthtok): pam_parse: unknown or broken option; minclass=4


Expected results:
empty system log

Additional info:
Comment 1 Tomas Mraz 2013-09-12 06:53:31 EDT
Thanks for report I wonder why such dire bug was not noticed earlier.
Comment 2 Fedora Update System 2013-09-16 08:31:03 EDT
libpwquality-1.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libpwquality-1.2.3-1.fc19
Comment 3 Fedora Update System 2013-09-16 20:25:06 EDT
Package libpwquality-1.2.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpwquality-1.2.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16884/libpwquality-1.2.3-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-29 20:44:21 EDT
libpwquality-1.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.